PDA

Zobacz pełną wersję : problem banalnie prosty, ale nie.... dla mnie



Yako
21-06-2008, 00:38
Witam,
mam dwa problemy z Joomla, które być może wydadzą się wam trywialne, jednak prosiłabym o pomoc. Ściągnęłam pakiet JSAS z Joomla w wersji 1.0.3. Do tego jest PHP Version 4.4.0 i phpMyAdmin 2.6.0-rc3.
Pierwszy problem to kłopot z ustawieniem j. polskiego. Ściągnęłam wprawdzie zipa z językiem polskim dla strony frontowej z polskiej strony Joomla, ale to nie działa (pewnie dlatego, ze to wersja na Joomla 1.0.13, żadna inna nie chciała się ściągać). Ponieważ tam był chyba konflikt z kodowaniem znaków, dlatego uznałam, że muszę najpierw zaktualizowac wersję Joomla do najnowszej. Jakis czas temu, na początku po ściągnięciu JSAS-a już próbowałam to zrobić, podmieniając cały katalog z Joomla, ale nic mi z tego nie wyszło. Pod JSAS-em Joomla jest jakby w trzech miejscach (1x jako ogólny cms w pakiecie, potem w wewnętrznym katalogu z utworzoną przeze mnie stroną po raz drugi i jeszcze trzeci raz w innym katalogu jakiejś wersji testowej strony). Niezależnie jak to podmieniałam i w ilu miejscach, nie mogłam potem niczego uruchomić z tą wyższą wersją Joomla. Gdy uruchamiałam JSAS-a to uparcie cały czas instalował tę wersję Joomli, z którą go ściągnęłam, mimo że tę wersję usuwałam (1.0.3).
Proszę, niech ktoś mi prosto wyjasni, jak sie aktualizuje wersję Joomla i czy z wersji 1.0.3 mogę od razu zmienić na 1.0.15 (a może lepiej na Joomla 1.5.3)? Gdzie mam rozpakować wszystko i w ilu miejscach? Czy powinnam pozmieniać ustawienia w jakichś plikach, żeby JSAS tę wyższą wersję "widział"? Jak to zrobić, zeby współgrało z JSAS-em? Chciałabym przy nim zostać, dobrze mi się z niego korzysta.
Może jak będę miała nowszą Joomla, to uda mi się uporządkować kwestię j. polskiego. Jesli nie, to ponownie poproszę o pomoc. Mam nadzieję, ze moje wyjasnienia są zrozumiałe i ktoś zechce mi pomóc...
Z góry dziekuję i pozdrawiam
Yako

zwiastun
21-06-2008, 13:30
Problem 1. Po co sobie robisz trudniej, skoro można łatwiej. Posłuż się kombajnikiem XAMPP, który tworzy odpowiednie środowisko lokalnie gotowe do instalacji Joomla.

Sprawy aktualizacji Joomla 1.0 wyjaśniane są razy kilka na www.pomoc.joomla.pl (http://www.pomoc.joomla.pl) (instalacje), na www.demo.joomla.pl (http://www.demo.joomla.pl) a skrótowo na www.joomla.pl (http://www.joomla.pl) przy wydawaniu kolejnych edycji

Yako
23-06-2008, 23:21
Dziękuję za odpowiedź, ale wolałabym móc pozostać przy JSAS-ie.
Czy ktoś mógłby mi podpowiedzieć, czy jest możliwe i jak zaktualizować Joomla w tym środowisku?
Yako